# Uses of Class
org.eclipse.net4j.util.io.ExtendedDataInputStream

Packages that use ExtendedDataInputStream
Package
Description
org.eclipse.net4j.util.io
Interfaces and classes for I/O.
org.eclipse.net4j.util.ui.dnd
Helpers for drag and drop support.

## Uses of ExtendedDataInputStream in org.eclipse.net4j.util.io

Methods in org.eclipse.net4j.util.io that return ExtendedDataInputStream
Modifier and Type
Method
Description
`static ExtendedDataInputStream`
ExtendedDataInputStream.`wrap(InputStream stream)`
Methods in org.eclipse.net4j.util.io with parameters of type ExtendedDataInputStream
Modifier and Type
Method
Description
`void`
ExtendedInputHandler.`handleIn(ExtendedDataInputStream in)`
`void`
ExtendedIOAdapter.`handleIn(ExtendedDataInputStream in)`

## Uses of ExtendedDataInputStream in org.eclipse.net4j.util.ui.dnd

Methods in org.eclipse.net4j.util.ui.dnd with parameters of type ExtendedDataInputStream
Modifier and Type
Method
Description
`protected abstract TYPE`
DNDTransfer.`readObject(ExtendedDataInputStream in)`